Name:           python-records
Version:        0.6.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        SQL for Humans

License:        ISC
URL:            https://github.com/kennethreitz/records
Source:         %{pypi_source records}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%global _description %{expand:
Just write SQL. No bells, no whistles. This common task can be surprisingly
difficult with the standard tools available. This library strives to make this
workflow as simple as possible, while providing an elegant interface to work
with your query results.}

%description %_description

%package -n     python3-records
Summary:        %{summary}

%description -n python3-records %_description

# tablib[pandas] and redshift dependencies are not available
%pyproject_extras_subpkg -n python3-records pg


%prep
%autosetup -p1 -n records-%{version}


%generate_buildrequires
%pyproject_buildrequires -x pg


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l records


%check
%pyproject_check_import
%pytest

%files -n python3-records -f %{pyproject_files}
%doc examples/

%changelog
%autochangelog
